## choqok 1.6-1.isreally.1.6

=== debian/changelog ===
choqok (1.6-1.isreally.1.6-2.1) bionic; urgency=medium

  * Sync from Debian under bumped package version.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Mar 2018 05:06:33 +0000

choqok (1.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace the libqca2-plugin-ossl dependency with libqca-qt5-2-plugins.
    (Closes: #886680)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 11 Jan 2018 18:04:24 +0100

=== debian/control ===
Source: choqok
Section: kde
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Uploaders: Noah Meyerhans <noahm@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook2x,
               extra-cmake-modules,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5emoticons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqca-qt5-2-dev,
               libqoauth-dev (>= 2.0.1~1~),
               libtelepathy-qt5-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: http://choqok.gnufolks.org
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/choqok.git
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/choqok.git

Package: choqok
Architecture: any
Depends: libqca-qt5-2-plugins, ${misc:Depends}, ${shlibs:Depends}
Description: KDE micro-blogging client
 Choqok is a fast, efficient and simple to use micro-blogging client for KDE.
 It currently supports the twitter.com and identi.ca microblogging services.
 .
 Other notable features include:
    * Support for user + friends time-lines.
    * Support for @Reply time-lines.
    * Support for sending and receiving direct messages.
    * Twitpic.com integration.
    * The ability to use multiple accounts simultaneously.
    * Support for search APIs for all services.
    * KWallet integration.
    * Support for automatic shortening urls with more than 30 characters.
    * Support for configuring status lists appearance.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde --fail-missing

override_dh_auto_clean:
	rm -f choqok.1

override_dh_auto_build:
	docbook2x-man debian/choqok.1.docbook
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/choqok/usr/lib/*.so

=== debian/watch ===
version=3
http://download.kde.org/stable/choqok/(\d.\d)/src/choqok-(.*)\.tar\.xz

## choqok 1.7.0

=== CMakeLists.txt ===
project(choqok)

cmake_minimum_required(VERSION 2.8.12)

set (QT_MIN_VERSION "5.9.0")

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    DBus
    Network
    NetworkAuth
    Widgets
)
find_package(KF5 REQUIRED
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    Emoticons
    GlobalAccel
    GuiAddons
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Sonnet
    TextWidgets
    Wallet
    WidgetsAddons
    XmlGui
)

find_package(KF5 COMPONENTS Purpose)

#option(QTINDICATE_DISABLE "Disable support for notifications via indicator")

find_package(Qca-qt5 REQUIRED)

#if(NOT QTINDICATE_DISABLE)
#    find_package(QtIndicate)
#    if(QtIndicate_FOUND)
#        set(QTINDICATE_BUILD TRUE)
#	endif(QtIndicate_FOUND)
#endif(NOT QTINDICATE_DISABLE)

#if(QTINDICATE_BUILD)
#    message(STATUS "Found libindicate-qt: Will support notifications via indicator")
#else(QTINDICATE_BUILD)
#    message(STATUS "Optional dependency libindicate-qt not found: Won't support notifications via indicator")
#endif(QTINDICATE_BUILD)

set(CHOQOK_INCLUDES
${CMAKE_CURRENT_SOURCE_DIR}/libchoqok/
${CMAKE_CURRENT_SOURCE_DIR}/libchoqok/ui
)

add_subdirectory( libchoqok )
add_subdirectory( helperlibs )
add_subdirectory( choqok )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( microblogs )
add_subdirectory( images )
add_subdirectory( cmake )

include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( doc )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== choqok/CMakeLists.txt ===
include(DBusMacros)

include_directories(
    ${CHOQOK_INCLUDES}
)

add_subdirectory(config)

set(choqok_SRCS
   choqokapplication.cpp
   choqokdebug.cpp
   mainwindow.cpp
   main.cpp
   systrayicon.cpp
)

# ki18n_wrap_ui(choqok_SRCS accounts/accountswidget_base.ui)

# kconfig_add_kcfg_files(choqok_SRCS settings.kcfgc)
dbus_add_activation_service(org.kde.choqok.service.in)

add_executable(choqok_bin ${choqok_SRCS})

set_target_properties(choqok_bin PROPERTIES OUTPUT_NAME choqok)

target_link_libraries(choqok_bin
PUBLIC
    Qt5::Core
    Qt5::Widgets
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::KCMUtils
    KF5::Notifications
    KF5::NotifyConfig
    KF5::WidgetsAddons
    KF5::XmlGui
    choqok
)

install(TARGETS choqok_bin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.choqok.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.choqok.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
# install(FILES choqok.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES choqokui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/choqok)
install(FILES choqok.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR choqok)

=== helperlibs/CMakeLists.txt ===
add_subdirectory( gnusocialapihelper )
add_subdirectory( twitterapihelper )

=== images/CMakeLists.txt ===

########### install files ###############

install(
        FILES
        splash_screen.png
        DESTINATION ${DATA_INSTALL_DIR}/choqok/images
)

=== libchoqok/CMakeLists.txt ===
include_directories(
    ${CHOQOK_INCLUDES}
)

set(choqok_LIB_SRCS
    application.cpp
    libchoqokdebug.cpp
    plugin.cpp
    shortener.cpp
    uploader.cpp
    account.cpp
    microblog.cpp
    pluginmanager.cpp
    shortenmanager.cpp
    accountmanager.cpp
    passwordmanager.cpp
    mediamanager.cpp
    notifymanager.cpp
    choqokuiglobal.cpp
    choqoktools.cpp
    dbushandler.cpp
    urlutils.cpp
    ui/microblogwidget.cpp
    ui/editaccountwidget.cpp
    ui/timelinewidget.cpp
    ui/postwidget.cpp
    ui/choqoktextedit.cpp
    ui/composerwidget.cpp
    ui/quickpost.cpp
    ui/choqokmainwindow.cpp
    ui/uploadmediadialog.cpp
    ui/textbrowser.cpp
    ui/choqoktabbar.cpp
)

#if(QtIndicate_FOUND)
#    set(choqok_LIB_SRCS ${choqok_LIB_SRCS} indicatormanager.cpp)
#    include_directories(${QTINDICATE_INCLUDE_DIRS})
#    add_definitions(-DQTINDICATE_BUILD)
#endif(QtIndicate_FOUND)

qt5_add_dbus_adaptor(choqok_LIB_SRCS org.kde.choqok.xml dbushandler.h Choqok::DbusHandler ChoqokAdaptor)

kconfig_add_kcfg_files(choqok_LIB_SRCS
    choqokbehaviorsettings.kcfgc
    choqokappearancesettings.kcfgc
)

ki18n_wrap_ui(choqok_LIB_SRCS ui/uploadmedia_base.ui)

add_library(choqok SHARED ${choqok_LIB_SRCS})

target_link_libraries(choqok
PUBLIC
    Qt5::Core
    Qt5::DBus
    Qt5::NetworkAuth
    Qt5::Widgets
    KF5::ConfigCore
    KF5::Emoticons
    KF5::GuiAddons
    KF5::I18n
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KCMUtils
    KF5::JobWidgets
    KF5::Notifications
    KF5::SonnetCore
    KF5::TextWidgets
    KF5::XmlGui
    KF5::Wallet
)

#if(QtIndicate_FOUND)
#       add_definitions(-DXDG_APPS_INSTALL_DIR=${XDG_APPS_INSTALL_DIR})
#       target_link_libraries(choqok ${QTINDICATE_LIBRARY})
#endif(QtIndicate_FOUND)

set_target_properties(choqok PROPERTIES
    VERSION 1.3.0
    SOVERSION 1
)

if(MSVC)
    set_target_properties(choqok PROPERTIES OUTPUT_NAME libchoqok)
endif(MSVC)

install(FILES choqokbehaviorsettings.kcfg choqokappearancesettings.kcfg
        DESTINATION ${KCFG_INSTALL_DIR})

install(TARGETS choqok ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES choqokplugin.desktop choqokshortenerplugin.desktop
              choqokuploaderplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/choqokbehaviorsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/choqokappearancesettings.h
    application.h
    account.h
    accountmanager.h
    choqok_export.h
    choqoktypes.h
    choqokuiglobal.h
    mediamanager.h
    microblog.h
    notifymanager.h
    passwordmanager.h
    plugin.h
    pluginmanager.h
    shortener.h
    uploader.h
    shortenmanager.h
    dbushandler.h
    choqoktools.h
    ui/choqoktextedit.h
    ui/composerwidget.h
    ui/editaccountwidget.h
    ui/choqokmainwindow.h
    ui/microblogwidget.h
    ui/postwidget.h
    ui/quickpost.h
    ui/timelinewidget.h
    ui/uploadmediadialog.h
    ui/textbrowser.h
    ui/choqoktabbar.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok COMPONENT Devel)

=== microblogs/CMakeLists.txt ===
find_package(KF5Attica)

add_subdirectory(twitter)
add_subdirectory(mastodon)
add_subdirectory(laconica)
add_subdirectory(friendica)
add_subdirectory(pumpio)

IF(KF5Attica_FOUND)
    message(STATUS "FOUND LibAttica: Will build \"Open Collaboration Services\" plugin")
    add_subdirectory(ocs)
ELSE(KF5Attica_FOUND)
    message(WARNING "Optional dependency \"LibAttica\" NOT FOUND, won't build \"Open Collaboration Services\" plugin")
ENDIF(KF5Attica_FOUND)

=== plugins/CMakeLists.txt ===
add_subdirectory(betternotify)
add_subdirectory(filter)
add_subdirectory(imagepreview)
add_subdirectory(imstatus)
#add_subdirectory(longurl)
add_subdirectory(nowlistening)
add_subdirectory(quickfilter)
add_subdirectory(searchaction)
add_subdirectory(shorteners)
#add_subdirectory(translator)
add_subdirectory(videopreview)
add_subdirectory(untiny)
add_subdirectory(uploaders)

find_package(KF5Parts)
find_package(KF5WebKit)

IF(KF5WebKit_FOUND AND KF5Parts_FOUND)
    message(STATUS "FOUND KF5::WebKit and KF5::Parts: Will build \"Konqueror Choqok\" plugin")
    add_subdirectory(konqueror)
ELSEIF(KF5WebKit_FOUND AND KF5Parts_FOUND)
    message(WARNING "Optional dependency \"KF5::WebKit\" or \"KF5::Parts\" NOT FOUND, won't build \"Konqueror Choqok\" plugin")
ENDIF(KF5WebKit_FOUND AND KF5Parts_FOUND)

if(KF5Purpose_FOUND)
    message(STATUS "Found KF5::Purpose: Will build Share plugin")
    add_subdirectory(purpose)
endif()

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(cmakeFiles FindChoqok.cmake)
install( FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules )

=== helperlibs/gnusocialapihelper/CMakeLists.txt ===

include_directories(
    ${CHOQOK_INCLUDES}
)

set(gnusocialapihelper_SRCS
    gnusocialapiaccount.cpp
    gnusocialapicomposerwidget.cpp
    gnusocialapiconversationtimelinewidget.cpp
    gnusocialapidebug.cpp
    gnusocialapidmessagedialog.cpp
    gnusocialapimicroblog.cpp
    gnusocialapipostwidget.cpp
    gnusocialapisearch.cpp
)

add_library(gnusocialapihelper SHARED ${gnusocialapihelper_SRCS})

target_link_libraries(gnusocialapihelper
PUBLIC
    Qt5::Core
    Qt5::NetworkAuth
    Qt5::Xml
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
    choqok
    twitterapihelper
)

set_target_properties(gnusocialapihelper PROPERTIES
    VERSION 1.3.0
    SOVERSION 1
)

install(TARGETS gnusocialapihelper ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    gnusocialapiaccount.h
    gnusocialapicomposerwidget.h
    gnusocialapiconversationtimelinewidget.h
    gnusocialapidmessagedialog.h
    gnusocialapimicroblog.h
    gnusocialapipostwidget.h
    gnusocialapisearch.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok/gnusocialapihelper COMPONENT Devel)

=== helperlibs/twitterapihelper/CMakeLists.txt ===
include_directories(
    ${CHOQOK_INCLUDES}
)

set(twitterhelper_LIB_SRCS
    twitterapiaccount.cpp
    twitterapicomposerwidget.cpp
    twitterapidebug.cpp
    twitterapipostwidget.cpp
    twitterapidmessagedialog.cpp
    twitterapimicroblog.cpp
    twitterapimicroblogwidget.cpp
    twitterapioauth.cpp
    twitterapioauthreplyhandler.cpp
    twitterapisearch.cpp
    twitterapisearchdialog.cpp
    twitterapisearchtimelinewidget.cpp
    twitterapishowthread.cpp
    twitterapitextedit.cpp
    twitterapitimelinewidget.cpp
    twitterapiwhoiswidget.cpp
)

# kconfig_add_kcfg_files(twitterhelper_LIB_SRCS
# twitterapisettings.kcfgc
# )

add_library(twitterapihelper SHARED ${twitterhelper_LIB_SRCS})

target_link_libraries( twitterapihelper
PUBLIC
    Qt5::Core
    Qt5::Gui
    Qt5::NetworkAuth
    Qt5::Widgets
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    KF5::WidgetsAddons
    qca-qt5
    choqok
)

set_target_properties(twitterapihelper PROPERTIES
VERSION 1.3.0
SOVERSION 1
)

install(TARGETS twitterapihelper ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    twitterapiaccount.h
    twitterapicomposerwidget.h
    twitterapidmessagedialog.h
    twitterapimicroblog.h
    twitterapimicroblogwidget.h
    twitterapioauth.h
    twitterapioauthreplyhandler.h
    twitterapipostwidget.h
    twitterapisearch.h
    twitterapisearchdialog.h
    twitterapisearchtimelinewidget.h
    twitterapishowthread.h
    twitterapitextedit.h
    twitterapitimelinewidget.h
    twitterapiwhoiswidget.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok/twitterapihelper COMPONENT Devel)

=== microblogs/friendica/CMakeLists.txt ===

include_directories(
    ${CHOQOK_INCLUDES}
)

set(choqok_friendica_SRCS
    friendicadebug.cpp
    friendicaeditaccount.cpp
    friendicamicroblog.cpp
)

ki18n_wrap_ui(choqok_friendica_SRCS friendicaeditaccount_base.ui)

add_library(choqok_friendica MODULE ${choqok_friendica_SRCS})

kcoreaddons_desktop_to_json(choqok_friendica choqok_friendica.desktop)

target_link_libraries(choqok_friendica
PUBLIC
    Qt5::Core
    Qt5::NetworkAuth
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    choqok
    gnusocialapihelper
)

install(TARGETS choqok_friendica DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES choqok_friendica.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

=== debian/changelog ===
choqok (1.7.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:54 +1100

choqok (1.7.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:04:56 +0000

choqok (1.7.0-2) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Homepage in debian/control (Closes: #975462). Thanks Davide Prina
    for filing the bug!

  [ Pino Toscano ]
  * Switch Maintainer to Debian KDE Extras Team with Lisandro's permissions,
    switching Lisandro as Uploader.
  * Switch the use of the kde dh addon with kf5: the former is for kdelibs 4.x
    stuff, the latter is for KF5 stuff.
  * Update the build dependencies according to the upstream build system:
    - set proper versions for cmake, and Qt 5
    - add libkf5configwidgets-dev
    - explicitly add gettext
    - drop unused: libkf5config-dev, libqoauth-dev
    - drop appstream, only needed by the AppStream test
  * Update the patches:
    - fix_missing_qmap_includes.patch: drop, fixed upstream
  * Add the configuration for the CI on salsa.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.
  * Drop debian/dirs, not needed anymore as the needed directories are created
    on installation.
  * Stop shipping the upstream CMakeLists.txt file as documentation, as it is
    part of the build system and not a documentation for users.
  * Stop shipping the upstream README file as documentation, as it does not have
    anything useful in it.
  * Drop the Debian-provided man page: it is terribly outdated, and not
    describing anything more than the package description and the --help output
    - drop the docbook2x build dependency, no more needed now
    - dropping the override_dh_auto_clean, which only removed the generated man
      page, will let dh_auto_clean run again (Closes: #1044013)
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Fix the removal of development .so symlinks.
  * Improve the watch file:
    - bump to v4 (no changes required)
    - use a less strict pattern for matching versioned directories
  * Update lintian overrides.
  * Small fixes in debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jan 2024 19:52:53 +0100

choqok (1.7.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: #942109).
  * Refresh fix_missing_qmap_includes.patch.
  * Set Root-Requires-Root to no.
  * Remove trailing whitespaces in previous changelog entries.
  * Add appstream, libqt5networkauth5-dev and libkf5purpose-dev as a build
    dependencies, required or suggested by CMake.
  * Bump Standards-Version to 4.5.0, no changes required.
  * No longer install now unexistant TODO file.
  * Use secure URL in debian/watch.
  * Use secure URL in debian copyright format.
  * Switch to debhelper compat 12, using a dependency on debhelper-compat.
    - Do not pass --parallel to dh anymore, it's now the default.
    - Pass --fail-missing to dh_missing.
  * Add choqok/org.kde.choqok.appdata.xml copyright to debian/copyright.

  [ Scarlett Moore ]
  * Update copyright file.
    - Update source.
    - Correct the catch all license to include KDEeV clause.
    - Refresh copyright information.
    - Include documentation copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 11 Mar 2020 17:31:46 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: choqok
 Section: kde
 Priority: optional
-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Uploaders: Noah Meyerhans <noahm@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               docbook2x,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Noah Meyerhans <noahm@debian.org>
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper-compat (= 13),
                extra-cmake-modules,
-               libkf5config-dev,
+               gettext,
+               libkf5configwidgets-dev,
                libkf5coreaddons-dev,
                libkf5doctools-dev,
                libkf5emoticons-dev,
@@ -19,6 +21,7 @@
                libkf5notifications-dev,
                libkf5notifyconfig-dev,
                libkf5parts-dev,
+               libkf5purpose-dev,
                libkf5sonnet-dev,
                libkf5textwidgets-dev,
                libkf5wallet-dev,
@@ -26,15 +29,16 @@
                libkf5widgetsaddons-dev,
                libkf5xmlgui-dev,
                libqca-qt5-2-dev,
-               libqoauth-dev (>= 2.0.1~1~),
+               libqt5networkauth5-dev (>= 5.9.0~),
                libtelepathy-qt5-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev
-Standards-Version: 3.9.8
-Homepage: http://choqok.gnufolks.org
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/choqok.git
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/choqok.git
+               qtbase5-dev (>= 5.9.0~),
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://choqok.kde.org/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/choqok
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/choqok.git
 
 Package: choqok
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/choqok -name '*.so' -type l -print -delete

=== debian/watch ===
version=4
https://download.kde.org/stable/choqok/([\d\.]+)/src/choqok-(.*)\.tar\.xz
